# VecMDot

Computes vector multiple dot products.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMDot(Vec x,PetscInt nv,const Vec y[],PetscScalar *val)

Collective on Vec

### Input Parameters

| x | - one vector
| nv | - number of vectors
| y | - array of vectors.

### Output Parameter

val -array of the dot products

### Notes for Users of Complex Numbers

For complex vectors, VecMDot() computes

        val = (x,y) = y^H x,

where y^H denotes the conjugate transpose of y.

Use VecMTDot() for the indefinite form

        val = (x,y) = y^T x,

where y^T denotes the transpose of y.

### See Also

VecMTDot(), VecDot()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html